Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225701 - Merge Review: docbook-simple
Summary: Merge Review: docbook-simple
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:28 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-13 05:07:19 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:28:53 UTC
Fedora Merge Review: docbook-simple

http://cvs.fedora.redhat.com/viewcvs/devel/docbook-simple/
Initial Owner: twaugh@redhat.com

Comment 1 Ondrej Vasik 2007-07-27 08:12:07 UTC
Package Change Request
======================
Package Name: docbook-simple
Updated Fedora Owners: ovasik@redhat.com

Comment 2 Parag AN(पराग) 2007-11-05 16:12:37 UTC
1) rpmlint gave me 
   docbook-simple.noarch: W: dangerous-command-in-%post mv
   docbook-simple.noarch: W: dangerous-command-in-%postun rm
I guess this is needed for this package.

2)change buildroot to standard acceptable one.
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

3)Preserve timestamps
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab

4) defattr should be %defattr (-,root,root,-)
   I think this should be used.

5) Use macros instead of hard-coded directory names
http://fedoraproject.org/wiki/Packaging/Guidelines#head-255d52ff18f82fa184a32946b82ed81e4fd8885a




Comment 3 Ondrej Vasik 2007-11-05 17:19:22 UTC
ok, everything done and built as docbook-simple-1.1-3.fc9 , thanks for review. 

Comment 4 Parag AN(पराग) 2007-11-12 12:25:56 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM But NOT for RPM.
docbook-simple.noarch: W: dangerous-command-in-%post chmod
docbook-simple.noarch: W: dangerous-command-in-%postun rm
=> these messages can be ignored for this package.
+ source files match upstream.
f31c63f121033a72869286d4a0416421  docbook-simple-1.1.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ xml and sgml catalogs are called in post and postun sections.
+ package docbook-simple-1.1-3.fc8 ->
  Provides: config(docbook-simple) = 1.1-3.fc8
  Requires: config(docbook-simple) = 1.1-3.fc8 docbook-dtds sgml-common
+ Not a GUI app.

APPROVED.




Note You need to log in before you can comment on or make changes to this bug.